dbXML API

## com.dbxml.db.admin.swing
Class SyntaxTextArea

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  org.jedit.syntax.JEditTextArea
                      com.dbxml.db.admin.swing.SyntaxTextArea

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public final class SyntaxTextArea
extends org.jedit.syntax.JEditTextArea

SyntaxTextArea

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`static java.lang.String` `LANG_BATCHFILE`
`static java.lang.String` `LANG_C`
`static java.lang.String` `LANG_CPP`
`static java.lang.String` `LANG_EIFFEL`
`static java.lang.String` `LANG_HTML`
`static java.lang.String` `LANG_IDL`
`static java.lang.String` `LANG_JAVA`
`static java.lang.String` `LANG_JAVASCRIPT`
`static java.lang.String` `LANG_MAKEFILE`
`static java.lang.String` `LANG_PATCH`
`static java.lang.String` `LANG_PERL`
`static java.lang.String` `LANG_PHP`
`static java.lang.String` `LANG_PROPERTIES`
`static java.lang.String` `LANG_PYTHON`
`static java.lang.String` `LANG_SHELLSCRIPT`
`static java.lang.String` `LANG_SQL`
`static java.lang.String` `LANG_TEX`
`static java.lang.String` `LANG_TEXT`
`static java.lang.String` `LANG_TSQL`
`static java.lang.String` `LANG_XML`
`static java.lang.String` `LANG_XPATH`

Fields inherited from class org.jedit.syntax.JEditTextArea
`LEFT_OF_SCROLLBAR`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SyntaxTextArea()`

Method Summary
`java.lang.String` `getLanguage()`
`boolean` `isEnabled()`
`boolean` `isHighlighting()`
`void` `setEnabled(boolean enabled)`
`void` `setHighlighting(boolean highlighting)`
`void` `setLanguage(java.lang.String language)`

Methods inherited from class org.jedit.syntax.JEditTextArea

`_offsetToX, addCaretListener, blinkCaret, copy, cut, getBracketLine, getBracketPosition, getCaretLine, getCaretPosition, getDocument, getDocumentLength, getElectricScroll, getFirstLine, getHorizontalOffset, getInputHandler, getLineCount, getLineEndOffset, getLineLength, getLineOfOffset, getLineStartOffset, getLineText, getLineText, getMagicCaretPosition, getMarkLine, getMarkPosition, getPainter, getRightClickPopup, getSelectedText, getSelectionEnd, getSelectionEnd, getSelectionEndLine, getSelectionStart, getSelectionStart, getSelectionStartLine, getText, getText, getText, getTokenMarker, getVisibleLines, isCaretBlinkEnabled, isCaretVisible, isEditable, isManagingFocus, isOverwriteEnabled, isSelectionRectangular, lineToY, offsetToX, overwriteSetSelectedText, paste, processKeyEvent, recalculateVisibleLines, removeCaretListener, removeNotify, scrollTo, scrollToCaret, select, selectAll, selectNone, setCaretBlinkEnabled, setCaretPosition, setCaretVisible, setDefaults, setDocument, setEditable, setElectricScroll, setFirstLine, setHorizontalOffset, setInputHandler, setMagicCaretPosition, setOrigin, setOverwriteEnabled, setPainter, setRightClickPopup, setSelectedText, setSelectionEnd, setSelectionRectangular, setSelectionStart, setText, setTokenMarker, updateScrollBars, xToOffset, xyToOffset, yToLine`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LANG_BATCHFILE

    public static final java.lang.String LANG_BATCHFILE

See Also:
  Constant Field Values

### LANG_CPP

    public static final java.lang.String LANG_CPP

See Also:
  Constant Field Values

### LANG_C

    public static final java.lang.String LANG_C

See Also:
  Constant Field Values

### LANG_EIFFEL

    public static final java.lang.String LANG_EIFFEL

See Also:
  Constant Field Values

### LANG_IDL

    public static final java.lang.String LANG_IDL

See Also:
  Constant Field Values

### LANG_HTML

    public static final java.lang.String LANG_HTML

See Also:
  Constant Field Values

### LANG_JAVASCRIPT

    public static final java.lang.String LANG_JAVASCRIPT

See Also:
  Constant Field Values

### LANG_JAVA

    public static final java.lang.String LANG_JAVA

See Also:
  Constant Field Values

### LANG_MAKEFILE

    public static final java.lang.String LANG_MAKEFILE

See Also:
  Constant Field Values

### LANG_PATCH

    public static final java.lang.String LANG_PATCH

See Also:
  Constant Field Values

### LANG_PERL

    public static final java.lang.String LANG_PERL

See Also:
  Constant Field Values

### LANG_PHP

    public static final java.lang.String LANG_PHP

See Also:
  Constant Field Values

### LANG_PROPERTIES

    public static final java.lang.String LANG_PROPERTIES

See Also:
  Constant Field Values

### LANG_PYTHON

    public static final java.lang.String LANG_PYTHON

See Also:
  Constant Field Values

### LANG_SHELLSCRIPT

    public static final java.lang.String LANG_SHELLSCRIPT

See Also:
  Constant Field Values

### LANG_SQL

    public static final java.lang.String LANG_SQL

See Also:
  Constant Field Values

### LANG_TEX

    public static final java.lang.String LANG_TEX

See Also:
  Constant Field Values

### LANG_TSQL

    public static final java.lang.String LANG_TSQL

See Also:
  Constant Field Values

### LANG_XML

    public static final java.lang.String LANG_XML

See Also:
  Constant Field Values

### LANG_XPATH

    public static final java.lang.String LANG_XPATH

See Also:
  Constant Field Values

### LANG_TEXT

    public static final java.lang.String LANG_TEXT

See Also:
  Constant Field Values

Constructor Detail

### SyntaxTextArea

    public SyntaxTextArea()

Method Detail

### setEnabled

    public void setEnabled(boolean enabled)

### isEnabled

    public boolean isEnabled()

### setHighlighting

    public void setHighlighting(boolean highlighting)

### isHighlighting

    public boolean isHighlighting()

### setLanguage

    public void setLanguage(java.lang.String language)

### getLanguage

    public java.lang.String getLanguage()

dbXML API

Copyright (c) 2004 The dbXML Group